FileWatchdog Class Referenceabstract

Check every now and then that a certain file has not changed. More...

## Public Member Functions

virtual | ~FileWatchdog ()
void | setDelay (long delay1)
| Set the delay to observe between each check of the file changes. More...
void | start ()

## Static Public Attributes

static long | DEFAULT_DELAY
| The default delay between every file modification check, set to 60 seconds. More...

## Protected Member Functions

| FileWatchdog (const File &filename)
virtual void | doOnChange ()=0
void | checkAndConfigure ()

## Protected Attributes

File | file
| The name of the file to observe for changes. More...
long | delay
| The delay to observe between every check. More...
log4cxx_time_t | lastModif
bool | warnedAlready
volatile unsigned int | interrupted

## Detailed Description

Check every now and then that a certain file has not changed.

If it has, then call the doOnChange method.

## Constructor & Destructor Documentation

## ~FileWatchdog()

virtual ~FileWatchdog | ( |  | ) |

virtual

## FileWatchdog()

FileWatchdog | ( | const File & | filename | ) |

protected

## Member Function Documentation

## checkAndConfigure()

void checkAndConfigure | ( |  | ) |

protected

## doOnChange()

virtual void doOnChange | ( |  | ) |

protected pure virtual

## setDelay()

void setDelay | ( | long | delay1 | ) |

inline

Set the delay to observe between each check of the file changes.

## start()

void start | ( |  | ) |

## Member Data Documentation

## DEFAULT_DELAY

long DEFAULT_DELAY

static

The default delay between every file modification check, set to 60 seconds.

## delay

long delay

protected

The delay to observe between every check.

By default set DEFAULT_DELAY.

## file

File file

protected

The name of the file to observe for changes.

## interrupted

volatile unsigned int interrupted

protected

## lastModif

log4cxx_time_t lastModif

protected

## warnedAlready

bool warnedAlready

protected

The documentation for this class was generated from the following file:

- filewatchdog.h